Callisto4Bootloader: CMSIS Core Register Access Functions

Callisto4Bootloader

Modules | Macros | Functions
CMSIS Core Register Access Functions
Defines and Type Definitions » Status and Control Registers » Nested Vectored Interrupt Controller (NVIC) » System Control Block (SCB) » System Controls not in SCB (SCnSCB) » System Tick Timer (SysTick) » Instrumentation Trace Macrocell (ITM) » Data Watchpoint and Trace (DWT) » Trace Port Interface (TPI) » Floating Point Unit (FPU) » Core Debug Registers (CoreDebug) » Core register bit field macros » Core Definitions » Functions and Instructions Reference

## Modules

| CMSIS Core Instruction Interface
| Access to dedicated instructions.

## Macros

#define | __get_FPSCR() ((uint32_t)0U)
| Get FPSCR. More...
#define | __set_FPSCR(x) ((void)(x))
| Set FPSCR. More...
#define | __get_FPSCR() ((uint32_t)0U)
| Get FPSCR. More...
#define | __set_FPSCR(x) ((void)(x))
| Set FPSCR. More...

## Functions

__STATIC_INLINE uint32_t | __get_CONTROL (void)
| Enable IRQ Interrupts. More...
__STATIC_INLINE void | __set_CONTROL (uint32_t control)
| Set Control Register. More...
__STATIC_INLINE uint32_t | __get_IPSR (void)
| Get IPSR Register. More...
__STATIC_INLINE uint32_t | __get_APSR (void)
| Get APSR Register. More...
__STATIC_INLINE uint32_t | __get_xPSR (void)
| Get xPSR Register. More...
__STATIC_INLINE uint32_t | __get_PSP (void)
| Get Process Stack Pointer. More...
__STATIC_INLINE void | __set_PSP (uint32_t topOfProcStack)
| Set Process Stack Pointer. More...
__STATIC_INLINE uint32_t | __get_MSP (void)
| Get Main Stack Pointer. More...
__STATIC_INLINE void | __set_MSP (uint32_t topOfMainStack)
| Set Main Stack Pointer. More...
__STATIC_INLINE uint32_t | __get_PRIMASK (void)
| Get Priority Mask. More...
__STATIC_INLINE void | __set_PRIMASK (uint32_t priMask)
| Set Priority Mask. More...
__STATIC_INLINE uint32_t | __get_FPSCR (void)
| Get FPSCR. More...
__STATIC_INLINE void | __set_FPSCR (uint32_t fpscr)
| Set FPSCR. More...
__STATIC_FORCEINLINE void | __enable_irq (void)
| Enable IRQ Interrupts. More...
__STATIC_FORCEINLINE void | __disable_irq (void)
| Disable IRQ Interrupts. More...

## Detailed Description

## Macro Definition Documentation

## ◆ __get_FPSCR [1/2]

__STATIC_FORCEINLINE uint32_t __get_FPSCR | ( |  | void | ) | ((uint32_t)0U)

Get FPSCR.

Returns the current value of the Floating Point Status/Control register.

Returns
  Floating Point Status/Control register value

Definition at line 754 of file cmsis_armclang.h.

## ◆ __get_FPSCR [2/2]

#define __get_FPSCR | ( |  | void | ) | ((uint32_t)0U)

Get FPSCR.

Returns the current value of the Floating Point Status/Control register.

Returns
  Floating Point Status/Control register value

Definition at line 754 of file cmsis_armclang_ltm.h.

## ◆ __set_FPSCR [1/2]

#define __set_FPSCR | ( |  | x | ) | ((void)(x))

Set FPSCR.

Assigns the given value to the Floating Point Status/Control register.

Parameters

  [in] | fpscr | Floating Point Status/Control value to set

Definition at line 766 of file cmsis_armclang_ltm.h.

## ◆ __set_FPSCR [2/2]

#define __set_FPSCR | ( |  | x | ) | ((void)(x))

Set FPSCR.

Assigns the given value to the Floating Point Status/Control register.

Parameters

  [in] | fpscr | Floating Point Status/Control value to set

Definition at line 766 of file cmsis_armclang.h.

## Function Documentation

## ◆ __disable_irq()

__STATIC_FORCEINLINE void __disable_irq | ( | void |  | ) |

Disable IRQ Interrupts.

Disables IRQ interrupts by setting the I-bit in the CPSR. Can only be executed in Privileged modes.

Definition at line 140 of file cmsis_gcc.h.

References __ASM.

## ◆ __enable_irq()

__STATIC_FORCEINLINE void __enable_irq | ( | void |  | ) |

Enable IRQ Interrupts.

Enables IRQ interrupts by clearing the I-bit in the CPSR. Can only be executed in Privileged modes.

Definition at line 129 of file cmsis_gcc.h.

References __ASM.

## ◆ __get_APSR()

__STATIC_FORCEINLINE uint32_t __get_APSR | ( | void |  | ) |

Get APSR Register.

Returns the content of the APSR Register.

Returns
  APSR Register value

Definition at line 170 of file cmsis_armcc.h.

References __ASM.

## ◆ __get_CONTROL()

__STATIC_FORCEINLINE uint32_t __get_CONTROL | ( | void |  | ) |

Enable IRQ Interrupts.

Get Control Register.

Enables IRQ interrupts by clearing the I-bit in the CPSR. Can only be executed in Privileged modes.

Disable IRQ Interrupts

Disables IRQ interrupts by setting the I-bit in the CPSR. Can only be executed in Privileged modes.

Get Control Register

Returns the content of the Control Register.

Returns
  Control Register value

Returns the content of the Control Register.

Returns
  Control Register value

Definition at line 134 of file cmsis_armcc.h.

References __ASM.

## ◆ __get_FPSCR()

__STATIC_INLINE uint32_t __get_FPSCR | ( | void |  | ) |

Get FPSCR.

Returns the current value of the Floating Point Status/Control register.

Returns
  Floating Point Status/Control register value

Definition at line 349 of file cmsis_armcc.h.

References __ASM.

## ◆ __get_IPSR()

__STATIC_FORCEINLINE uint32_t __get_IPSR | ( | void |  | ) |

Get IPSR Register.

Returns the content of the IPSR Register.

Returns
  IPSR Register value

Definition at line 158 of file cmsis_armcc.h.

References __ASM.

## ◆ __get_MSP()

__STATIC_FORCEINLINE uint32_t __get_MSP | ( | void |  | ) |

Get Main Stack Pointer.

Returns the current value of the Main Stack Pointer (MSP).

Returns
  MSP Register value

Definition at line 218 of file cmsis_armcc.h.

References __ASM.

## ◆ __get_PRIMASK()

__STATIC_FORCEINLINE uint32_t __get_PRIMASK | ( | void |  | ) |

Get Priority Mask.

Returns the current state of the priority mask bit from the Priority Mask Register.

Returns
  Priority Mask value

Definition at line 242 of file cmsis_armcc.h.

References __ASM.

## ◆ __get_PSP()

__STATIC_FORCEINLINE uint32_t __get_PSP | ( | void |  | ) |

Get Process Stack Pointer.

Returns the current value of the Process Stack Pointer (PSP).

Returns
  PSP Register value

Definition at line 194 of file cmsis_armcc.h.

References __ASM.

## ◆ __get_xPSR()

__STATIC_FORCEINLINE uint32_t __get_xPSR | ( | void |  | ) |

Get xPSR Register.

Returns the content of the xPSR Register.

Returns
  xPSR Register value

Definition at line 182 of file cmsis_armcc.h.

References __ASM.

## ◆ __set_CONTROL()

__STATIC_FORCEINLINE void __set_CONTROL | ( | uint32_t | control | ) |

Set Control Register.

Writes the given value to the Control Register.

Parameters

  [in] | control | Control Register value to set

Definition at line 146 of file cmsis_armcc.h.

References __ASM.

## ◆ __set_FPSCR()

__STATIC_FORCEINLINE void __set_FPSCR | ( | uint32_t | fpscr | ) |

Set FPSCR.

Assigns the given value to the Floating Point Status/Control register.

Parameters

  [in] | fpscr | Floating Point Status/Control value to set

Definition at line 366 of file cmsis_armcc.h.

References __ASM.

## ◆ __set_MSP()

__STATIC_FORCEINLINE void __set_MSP | ( | uint32_t | topOfMainStack | ) |

Set Main Stack Pointer.

Assigns the given value to the Main Stack Pointer (MSP).

Parameters

  [in] | topOfMainStack | Main Stack Pointer value to set

Definition at line 230 of file cmsis_armcc.h.

References __ASM.

## ◆ __set_PRIMASK()

__STATIC_FORCEINLINE void __set_PRIMASK | ( | uint32_t | priMask | ) |

Set Priority Mask.

Assigns the given value to the Priority Mask Register.

Parameters

  [in] | priMask | Priority Mask

Definition at line 254 of file cmsis_armcc.h.

References __ASM.

## ◆ __set_PSP()

__STATIC_FORCEINLINE void __set_PSP | ( | uint32_t | topOfProcStack | ) |

Set Process Stack Pointer.

Assigns the given value to the Process Stack Pointer (PSP).

Parameters

  [in] | topOfProcStack | Process Stack Pointer value to set

Definition at line 206 of file cmsis_armcc.h.

References __ASM.